Skip to main content

SaveStakeHolderResponseBody

Response body for save stakeholder operations

uiduuidrequired

Unique identifier of the stakeholder

Example: 123e4567-e89b-12d3-a456-426614174000
typestringrequired

Type of stakeholder (person or company)

Example: person
firstNamestring | nullnullable

First name of the stakeholder (null for companies)

Example: John
lastNamestring | nullnullable

Last name of the stakeholder (null for companies)

Example: Doe
namestringrequired

Full name of the stakeholder (null for person, company name required)

Example: Stonal
sirenstring | nullnullable

SIREN number of the companies (null for persons)

Example: 123456789
addressstring | nullnullable

Address of the company

postalCodestring | nullnullable

Postal code of the company

citystring | nullnullable

City of the company

externalCodestring | nullnullable

External code of the company

contactsDetails object[]

List of contact details of the stakeholder

  • Array [
  • phoneNumberstring | nullnullable

    Phone number of the contact

    Example: 0123456789
    additionalInfosstring | nullnullable

    Additional infos of the contact

    Example: Some additional infos
    emailstring | nullnullable

    Email address required for person and company

    Example: john.doe@example.com
    creationDatestring | nullnullable

    Date of creation of the contact

    Example: 2020-01-01
  • ]
  • contracts object[]

    Stakeholder contracts list

  • Array [
  • idstringrequired

    Id of the contract

    typestringrequired

    Type of the contract

    Example: LEASE
    codestringrequired

    Code of the contract

    labelstring | nullnullable

    Label of the contract

    assetUidsstring[]nullable

    Asset stonal ids linked of the contract

  • ]
  • isActivebooleanrequired

    Active status of the stakeholder

    faxstring | nullnullable

    Fax of the company

    functionstring | nullnullable

    Function of the person

    creationDatestring | nullnullable

    Date of creation of the stakeholder

    Example: 2024-01-15
    updatedAtstring | nullnullable

    Date of last update of the stakeholder

    Example: 2024-11-10T14:30:00
    stakeHolderViewnull

    Stakeholder details (included when the save operation is successful)

    SaveStakeHolderResponseBody
    {
    "uid": "123e4567-e89b-12d3-a456-426614174000",
    "type": "person",
    "firstName": "John",
    "lastName": "Doe",
    "name": "Stonal",
    "siren": "123456789",
    "address": "string",
    "postalCode": "string",
    "city": "string",
    "externalCode": "string",
    "contactsDetails": "Unknown Type: array,null",
    "contracts": "Unknown Type: array,null",
    "isActive": true,
    "fax": "string",
    "function": "string",
    "creationDate": "2024-01-15",
    "updatedAt": "2024-11-10T14:30:00",
    "stakeHolderView": "null"
    }